$(document).ready(function () {
    $(".elan").css("display", "none");
    $(".elanModal").css("display", "none");
    $("figcaption a").click(function () {
        $this = $(this);
        var action = $this.data('action');
        var id = $this.data('id');
        if (action == "editContact") {
            $.ajax({
                type: 'POST',
                url: 'Get_Contact_ByID',
                data: {id: id},
                dataType: 'json',
                cache: false,
                success: function (result) {
                    $('#EditContactbtn').val(result[0]);
                    $('#firstNameEdit').val(result[1]);
                    $('#lastNameEdit').val(result[2]);
                    $('#companyNameEdit').val(result[3]);
                    $('#TellEdit').val(result[4]);
                    $('#MobileEdit').val(result[5]);
                    $('#AddressEdit').val(result[6]);
                    $('#EmailEdit').val(result[7]);
                    $('#TelegramEdit').val(result[8]);
                    $('#whatsAppEdit').val(result[9]);
                    $('#TypeEdit').val(result[10]);

                },
            });
        }
        if (action == "ShowContact") {
            $.ajax({
                type: 'POST',
                url: 'Get_Contact_ByID',
                data: {id: id},
                dataType: 'json',
                cache: false,
                success: function (result) {
                    $('#firstNameshow').val(result[1]);
                    $('#lastNameshow').val(result[2]);
                    $('#companyNameshow').val(result[3]);
                    $('#Tellshow').val(result[4]);
                    $('#Mobileshow').val(result[5]);
                    $('#Addressshow').val(result[6]);
                    $('#Emailshow').val(result[7]);
                    $('#Telegramshow').val(result[8]);
                    $('#whatsAppshow').val(result[9]);
                    $('#Typeshow').val(result[10]);
                },
            });
        } else if (action == "deleteContact") {
            var x = confirm("از حذف مخاطب مورد نظر مطمئنید ؟");
            if (x == true) {
                $(".elan").css("display", "block");
                $(".elan .type").html("  در حال پردازش");
                $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"zmdi zmdi-alert-triangle\"></i> ");
                $(".elan .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
                $.ajax({
                    url: 'deleteContact',
                    type: "POST",
                    data: {id: id},
                    success: function (data) {
                        if (data == "Deleted") {
                            $(".elan .type").html("  حذف شد ");
                            $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                            $(".elan .alert-notify-text").html(" مخاطب با موفقیت حذف شد ");

                            function explode() {
                                location.reload();
                            }

                            setTimeout(explode, 3000);
                        } else if (data == "not_Deleted") {
                            $(".elan .type").html("  حذف نشد ");
                            $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                            $(".elan .alert-notify-text").html(" مخاطب با موفقیت حذف نشد ، لطفا دوباره فرایند حذف را تکرار کنید ");

                            function explode() {
                                location.reload();
                            }

                            setTimeout(explode, 3000);
                        } else {
                            $(".elan .type").html("  خطای نامشخص");
                            $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                            $(".elan .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
                        }
                    }
                });
            } else {
                window.location.href = "";
            }
        }
    })
    $("#CreateContact").on('submit', (function (e) {
        e.preventDefault();
        $(".elanModal").css("display", "block");
        $(".elanModal .type").html("  در حال پردازش");
        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
        $(".elanModal .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
        $.ajax({
            url: "CreateContact",
            type: "POST",
            data: new FormData(this),
            dataType: 'json',
            contentType: false,
            cache: false,
            processData: false,
            success: function (data) {
                for (i = 0; i < data.length; i++) {
                    if (data[i] == "empty") {
                        $(".elanModal .type").html("  فیلد خالی");
                        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elanModal .alert-notify-text").html(" لطفا فیلد های خالی را پر کنید ");
                    } else if (data[i] == "Created") {
                        $(".elanModal .type").html("  ایجاد شد");
                        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elanModal .alert-notify-text").html(" مخاطب با موفقیت ایجاد شد  ");

                        function explode() {
                            location.reload();
                        }

                        setTimeout(explode, 3000);
                    } else if (data[i] == "not_Created") {
                        $(".elanModal .type").html("  ایجاد نشد");
                        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elanModal .alert-notify-text").html(" مخاطب با موفقیت ایجاد نشد ، لطفا فرایند ثبت را دوباره تکرار کنید ");
                    } else {
                        $(".elanModal .type").html("  خطای نامشخص");
                        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elanModal .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
                    }
                }
            },
            error: function () {
                $(".elanModal .type").html("  خطای نامشخص");
                $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                $(".elanModal .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
            }
        });
    }));
    $("#EditContact").on('submit', (function (e) {
        e.preventDefault();
        var data = new FormData(this);
        data.append('id', $("#EditContactbtn").val());
        $(".elanModal").css("display", "block");
        $(".elanModal .type").html("  در حال پردازش");
        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
        $(".elanModal .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
        $.ajax({
            url: "EditContact",
            type: "POST",
            data: data,
            dataType: 'json',
            contentType: false,
            cache: false,
            processData: false,
            success: function (data) {
                for (i = 0; i < data.length; i++) {
                    if (data[i] == "empty") {
                        $(".elanModal .type").html("  فیلد خالی");
                        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elanModal .alert-notify-text").html(" لطفا فیلد های خالی را پر کنید ");
                    } else if (data[i] == "Edited") {
                        $(".elanModal .type").html("  ویرایش شد");
                        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elanModal .alert-notify-text").html(" مخاطب با موفقیت ویرایش شد  ");

                        function explode() {
                            location.reload();
                        }

                        setTimeout(explode, 3000);
                    } else if (data[i] == "not_Edited") {
                        $(".elanModal .type").html("  ویرایش نشد");
                        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elanModal .alert-notify-text").html(" مخاطب با موفقیت ویرایش نشد ، لطفا دوباره فراید بروزرسانی را تکرار کنید ");
                    } else {
                        $(".elanModal .type").html("  خطای نامشخص");
                        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elanModal .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
                    }
                }
            },
            error: function () {
                $(".elanModal .type").html("  خطای نامشخص");
                $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                $(".elanModal .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
            }
        });
    }));
})
